Skip to main content
GET
/
v1
/
analytics
/
namespaces
/
indexes
/
recommendations
Get Index Recommendations
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/namespaces/indexes/recommendations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/analytics/namespaces/indexes/recommendations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/analytics/namespaces/indexes/recommendations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "namespace_id": "<string>",
  "time_range_days": 123,
  "recommendations": [
    {
      "field_name": "<string>",
      "query_count": 123,
      "avg_latency_ms": 123,
      "p95_latency_ms": 123,
      "slow_query_count": 123,
      "very_slow_query_count": 123,
      "priority_score": 123,
      "recommendation": "<string>",
      "mongodb_index_command": "<string>"
    }
  ],
  "summary": {}
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

days
integer
default:30

Days of history to analyze

Required range: 1 <= x <= 90
min_usage_count
integer
default:5

Minimum queries to consider

Required range: 1 <= x <= 100
limit
integer
default:50

Maximum recommendations to return

Required range: 1 <= x <= 100

Response

Successful Response

Response for index recommendations endpoint.

namespace_id
string
required

Namespace ID analyzed

time_range_days
integer
required

Number of days analyzed

recommendations
IndexRecommendation · object[]
required

Index recommendations

summary
Summary · object
required

Summary statistics (high_priority, medium_priority, low_priority counts)